---
title: "Pobierz koszt"
description: "Zakres: `api:costs:read`."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.niebieskiorzel.pl/llms.txt
> Use this file to discover all available pages before exploring further.

Path: inFakt API › Koszty

`GET /documents/costs/{uuid}.json`

Zakres: `api:costs:read`.

## Authentication

Requires one of the following:

- `ApiKey`, apiKey, in header, header `X-inFakt-ApiKey`
- `Token`, apiKey, in header, header `X-Token`

## Path parameters

- `uuid` (`CostDocuments_get.path.uuid`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sandbox-infakt.pl/v3/documents/costs/2f6e8a1c-3b4d-4e5f-9a6b-7c8d9e0f1a2b.json \
  --header 'X-inFakt-ApiKey: <X-inFakt-ApiKey>'
```

### TypeScript

```typescript
const url = 'https://api.sandbox-infakt.pl/v3/documents/costs/2f6e8a1c-3b4d-4e5f-9a6b-7c8d9e0f1a2b.json';
const options = {method: 'GET', headers: {'X-inFakt-ApiKey': '<X-inFakt-ApiKey>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sandbox-infakt.pl/v3/documents/costs/2f6e8a1c-3b4d-4e5f-9a6b-7c8d9e0f1a2b.json"

headers = {"X-inFakt-ApiKey": "<X-inFakt-ApiKey>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Sukces

#### Example

```json
{
  "uuid": "2f6e8a1c-3b4d-4e5f-9a6b-7c8d9e0f1a2b",
  "number": "FV/123/10/2026",
  "net_price": 10000,
  "gross_price": 12300,
  "tax_price": 2300,
  "currency": "PLN",
  "accounted_at": "2026-10-02",
  "issue_date": "2026-10-01",
  "received_date": "2026-10-02",
  "due_date": "2026-10-15",
  "seller_name": "Dostawca Sp. z o.o.",
  "seller_tax_code": "1234563218",
  "seller_bank_account": "61109010140000071219812874",
  "description": null,
  "added_by": "Jan Kowalski",
  "category": "Artykuły biurowe",
  "kind": "cost",
  "notes_count": 0,
  "newest_note": null,
  "duplicated": false,
  "created_at": "2026-10-02 10:15:00 +0200",
  "source": null,
  "reconciliation_id": null,
  "statuses": [],
  "attachments": [
    {
      "file_name": "faktura.pdf",
      "file_url": "https://infakt-files.s3.eu-central-1.amazonaws.com/q7w3k9x2m4p8?response-content-disposition=inline%3B%20filename%3D%22faktura.pdf%22&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20261002T081500Z&X-Amz-Expires=300&X-Amz-SignedHeaders=host&X-Amz-Signature=5f1c0e9a",
      "download_url": "https://infakt-files.s3.eu-central-1.amazonaws.com/q7w3k9x2m4p8?response-content-disposition=attachment%3B%20filename%3D%22faktura.pdf%22&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20261002T081500Z&X-Amz-Expires=300&X-Amz-SignedHeaders=host&X-Amz-Signature=9b2d4a71",
      "document_scan_uuid": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",
      "kind_id": 21
    }
  ],
  "related_internal_note": null,
  "notes": [],
  "related_exchange_differences_internal_evidences": []
}
```

- `uuid` (`CostDocuments_get.response.200.uuid`; string, required)
  - format `uuid`
- `number` (`CostDocuments_get.response.200.number`; any of, required)
  - any of: `string`, `null`
- `net_price` (`CostDocuments_get.response.200.net_price`; any of, required)
  - any of: `Money`, `null`
- `gross_price` (`CostDocuments_get.response.200.gross_price`; any of, required)
  - any of: `Money`, `null`
- `tax_price` (`CostDocuments_get.response.200.tax_price`; any of, required)
  - any of: `Money`, `null`
- `currency` (`CostDocuments_get.response.200.currency`; any of, required)
  - any of: `string`, `null`
- `accounted_at` (`CostDocuments_get.response.200.accounted_at`; any of, required)
  - any of: `string`, `null`
- `issue_date` (`CostDocuments_get.response.200.issue_date`; any of, required)
  - any of: `string`, `null`
- `received_date` (`CostDocuments_get.response.200.received_date`; any of, required)
  - any of: `string`, `null`
- `due_date` (`CostDocuments_get.response.200.due_date`; any of, required)
  - any of: `string`, `null`
- `seller_name` (`CostDocuments_get.response.200.seller_name`; any of, required)
  - any of: `string`, `null`
- `seller_tax_code` (`CostDocuments_get.response.200.seller_tax_code`; any of, required)
  - any of: `string`, `null`
- `seller_bank_account` (`CostDocuments_get.response.200.seller_bank_account`; any of, required)
  - any of: `string`, `null`
- `description` (`CostDocuments_get.response.200.description`; any of, required)
  - any of: `string`, `null`
- `added_by` (`CostDocuments_get.response.200.added_by`; string, required)
- `category` (`CostDocuments_get.response.200.category`; any of, required) — Nazwa kategorii kosztu.
  - any of: `string`, `null`
- `kind` (`CostDocuments_get.response.200.kind`; string, required)
  - one of `"cost"`, `"document_scan"`, `"internal_evidence"`, `"health_fee_evidence"`, `"work_fund_evidence"`
- `notes_count` (`CostDocuments_get.response.200.notes_count`; any of, required)
  - any of: `integer`, `null`
- `newest_note` (`CostDocuments_get.response.200.newest_note`; any of, required)
  - any of: `DocumentNote`, `null`
- `duplicated` (`CostDocuments_get.response.200.duplicated`; boolean, required)
- `created_at` (`CostDocuments_get.response.200.created_at`; string, required) — Znacznik czasu ze strefą czasową.
- `source` (`CostDocuments_get.response.200.source`; any of, required)
  - any of: `string`, `null`
- `reconciliation_id` (`CostDocuments_get.response.200.reconciliation_id`; any of, required)
  - any of: `integer`, `null`
- `statuses` (`CostDocuments_get.response.200.statuses`; array<object>, required)
  - `symbol` (`CostDocuments_get.response.200.statuses.symbol`; string, required)
  - `name` (`CostDocuments_get.response.200.statuses.name`; string, required)
  - `group` (`CostDocuments_get.response.200.statuses.group`; string, required)
- `attachments` (`CostDocuments_get.response.200.attachments`; array<object>, optional) — Tylko w odpowiedzi `get`.
  - `file_name` (`CostDocuments_get.response.200.attachments.file_name`; string, required)
  - `file_url` (`CostDocuments_get.response.200.attachments.file_url`; string, required) — Tymczasowy link, który wyświetla plik w przeglądarce; ważny 5 minut.
  - `download_url` (`CostDocuments_get.response.200.attachments.download_url`; string, required) — Tymczasowy link do pobrania pliku; ważny 5 minut.
  - `document_scan_uuid` (`CostDocuments_get.response.200.attachments.document_scan_uuid`; any of, required)
    - any of: `Uuid`, `null`
  - `kind_id` (`CostDocuments_get.response.200.attachments.kind_id`; any of, required)
    - any of: `integer`, `null`
- `related_internal_note` (`CostDocuments_get.response.200.related_internal_note`; any of, optional) — Tylko w odpowiedzi `get`.
  - any of: `InternalNoteReference`, `null`
- `notes` (`CostDocuments_get.response.200.notes`; array<object>, optional) — Tylko w odpowiedzi `get`.
  - `kind` (`CostDocuments_get.response.200.notes.kind`; string, required)
  - `content` (`CostDocuments_get.response.200.notes.content`; string, required)
  - `created_by` (`CostDocuments_get.response.200.notes.created_by`; any of, required)
    - any of: `string`, `null`
  - `author_first_name` (`CostDocuments_get.response.200.notes.author_first_name`; any of, required)
    - any of: `string`, `null`
  - `author_last_name` (`CostDocuments_get.response.200.notes.author_last_name`; any of, required)
    - any of: `string`, `null`
  - `author_avatar` (`CostDocuments_get.response.200.notes.author_avatar`; any of, required)
    - any of: `string`, `null`
  - `created_at` (`CostDocuments_get.response.200.notes.created_at`; string, required)
- `related_exchange_differences_internal_evidences` (`CostDocuments_get.response.200.related_exchange_differences_internal_evidences`; array<object>, optional) — Tylko w odpowiedzi `get`.
  - `id` (`CostDocuments_get.response.200.related_exchange_differences_internal_evidences.id`; integer, required)
    - format `int64`
  - `number` (`CostDocuments_get.response.200.related_exchange_differences_internal_evidences.number`; string, required)
  - `uuid` (`CostDocuments_get.response.200.related_exchange_differences_internal_evidences.uuid`; string, required)
    - format `uuid`

### 401

Brak klucza API, nieprawidłowy klucz albo klucz bez wymaganego zakresu uprawnień.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.401.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.401.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.401.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.401.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.401.url`; string, optional)
- `action_url` (`CostDocuments_get.response.401.action_url`; string, optional)

### 402

API niedostępne w obecnym planie (`limit: plan_upgrade_needed`) albo osiągnięty limit dokumentów.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.402.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.402.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.402.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.402.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.402.url`; string, optional)
- `action_url` (`CostDocuments_get.response.402.action_url`; string, optional)

### 404

Nie znaleziono zasobu.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.404.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.404.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.404.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.404.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.404.url`; string, optional)
- `action_url` (`CostDocuments_get.response.404.action_url`; string, optional)

### 406

Ścieżka nie kończy się na `.json`.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.406.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.406.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.406.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.406.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.406.url`; string, optional)
- `action_url` (`CostDocuments_get.response.406.action_url`; string, optional)

### 423

Niepotwierdzony adres e-mail albo wymagana weryfikacja tożsamości.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.423.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.423.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.423.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.423.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.423.url`; string, optional)
- `action_url` (`CostDocuments_get.response.423.action_url`; string, optional)

### 429

Przekroczony limit zapytań. Komunikat jest po angielsku, np. `API rate limit exceeded. Try again in 60 seconds.`

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`CostDocuments_get.response.429.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`CostDocuments_get.response.429.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`CostDocuments_get.response.429.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`CostDocuments_get.response.429.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`CostDocuments_get.response.429.url`; string, optional)
- `action_url` (`CostDocuments_get.response.429.action_url`; string, optional)


Source: https://docs.niebieskiorzel.pl/api/cost-documents-get/index.md
